Subject: Re: bug#59703: 29.0.50; Emacs crashes when turning treesit-explore-mode on with some C++ code
From: Daniel Martín <[email-masked]>
To: Theodor Thornhill <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 30 Nov 2022 13:45:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Theodor Thornhill <[email-masked]> writes:

>
> Yeah, and that's what I was experiencing earlier as well.  IIRC the
> version I used was a compile from master, and was tagged with 20.7.  So
> my 2 cents would be either a bug in treesitter upstream, or some new api
> that we don't support yet.  I didn't do too much digging at the time
> because I had several other patches in the loop and wanted to continue
> working on those:)
>

I've upgraded Tree-sitter from 0.20.6 to 0.20.7 and the crash is fixed.
Taking a look at the Tree-sitter changelog, this might be the commit
that fixed the bug: https://github.com/tree-sitter/tree-sitter/pull/1823

So I'm closing this bug.